Name:           v4l2ucp
Version:        2.0.2
Release:        %mkrel 4
Summary:        Universal control panel for all Video for Linux Two (V4L2) devices
Group:          System/Kernel and hardware
License:        GPLv2 and GFDL
URL:            http://v4l2ucp.sourceforge.net/
Source0:        https://download.sf.net/v4l2ucp/%{name}-%{version}.tar.bz2
Patch0:         v4l2ucp-2.0.1-fdr-no-more-v4l1.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  qt4-devel

%description
V4L2 Univesal Control Panel reads a description of the controls that the V4L2
device supports from the device, and presents the user with a graphical means
for adjusting those controls. It allows for controlling multiple devices.
There is an easy way to reset one or all the controls to their default state.

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc README
%{_bindir}/%{name}
%{_bindir}/v4l2ctrl
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png


%changelog
* Fri Feb 14 2020 daviddavid <daviddavid> 2.0.2-4.mga8
+ Revision: 1517810
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.0.2-3.mga7
+ Revision: 1301558
- Mageia 7 Mass Rebuild

* Fri Mar 10 2017 akien <akien> 2.0.2-2.mga6
+ Revision: 1091635
- Rebuild for v4l-utils 1.12.3

* Thu Nov 03 2016 akien <akien> 2.0.2-1.mga6
+ Revision: 1065005
- imported package v4l2ucp

